Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.finder
Class ReverseTestFinder

    java.lang.Object
      com.sun.javatest.TestFinder
          com.sun.javatest.finder.ReverseTestFinder

    public class ReverseTestFinder

extends TestFinder

A test finder that reads tests from a delegate, and returns the results in the reverse order. This is primarily for debugging and testing purposes.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.javatest.TestFinder
`TestFinder.ErrorHandler, TestFinder.Fault`

Field Summary

Fields inherited from class com.sun.javatest.TestFinder
`debug, env`

Constructor Summary
`ReverseTestFinder()` Default constructor
`ReverseTestFinder(TestFinder delegate)` Constructor to create ReverseTestFinder object when the original TestFinder instance is already created and initialized.

Method Summary
`java.io.File[]` | `getFiles()` Get the files that were found by the most recent call of read.
`java.io.File` | `getRoot()` Get the root file of the test suite, as passed in to the `init` method.
`java.io.File` | `getRootDir()` Get the root directory of the test suite; this is either the root passed in to the init method or if that is a file, it is the directory containing the file.
`TestDescription[]` | `getTests()` Get the test descriptions that were found by the most recent call of read.
`void` | `init(java.lang.String[] args, java.io.File testSuiteRoot, TestEnvironment env)` Initialize the test finder.
`void` | `read(java.io.File file)` Read a file, looking for test descriptions and other files that might need to be read.
`protected void` | `scan(java.io.File file)` Scan a file, looking for test descriptions and other files that might need to be scanned.

Methods inherited from class com.sun.javatest.TestFinder
`clearErrors, decodeAllArgs, decodeArg, error, error, error, foundFile, foundTestDescription, foundTestDescription, getComparator, getDefaultComparator, getErrorCount, getErrorHandler, getErrors, init, isFolder, lastModified, localizedError, normalize, processEntry, setComparator, setErrorHandler, setRoot`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReverseTestFinder

    public ReverseTestFinder()

  Default constructor

### ReverseTestFinder

    public ReverseTestFinder(TestFinder delegate)

  Constructor to create ReverseTestFinder object when the original TestFinder instance is already created and initialized. Finders created with this constructor do not require the init() method to be invoked.

  Parameters:
    `delegate` - - the real test finder object.

Method Detail

### init

    public void init(java.lang.String[] args,
                     java.io.File testSuiteRoot,
                     TestEnvironment env)
              throws TestFinder.Fault

  Initialize the test finder.

  Overrides:
    `init` in class `TestFinder`
  Parameters:
    `args` - The first entry in the array should be the name of the test finder to be used to actually read the tests; subsequent entries in the array will be passed through to the init method for that class.
    `testSuiteRoot` - The root file of the test suite to be read.
    `env` - An environment for the test finder to use if required. The ReverseTestFinder does not use this value directly; it just passes it on to the test finder to which it delegates the reading.
  Throws:
    `TestFinder.Fault` - if any problems occur during initialization.

### getRoot

    public java.io.File getRoot()

  Description copied from class: `TestFinder`
  Get the root file of the test suite, as passed in to the `init` method.

  Overrides:
    `getRoot` in class `TestFinder`
  Returns:
    the root file of the test suite
  See Also:
    `TestFinder.setRoot(java.io.File)`

### getRootDir

    public java.io.File getRootDir()

  Description copied from class: `TestFinder`
  Get the root directory of the test suite; this is either the root passed in to the init method or if that is a file, it is the directory containing the file.

  Overrides:
    `getRootDir` in class `TestFinder`
  Returns:
    the root directory of the test suite

### read

    public void read(java.io.File file)

  Description copied from class: `TestFinder`
  Read a file, looking for test descriptions and other files that might need to be read. If the file is relative, it will be evaluated relative to getRootDir. Depending on the test finder, the file may be either a plain file or a directory.

  Overrides:
    `read` in class `TestFinder`
  Parameters:
    `file` - The file to be read.

### getTests

    public TestDescription[] getTests()

  Description copied from class: `TestFinder`
  Get the test descriptions that were found by the most recent call of read.

  Overrides:
    `getTests` in class `TestFinder`
  Returns:
    the test descriptions that were found by the most recent call of read.
  See Also:
    `TestFinder.read(java.io.File)`, `TestFinder.foundTestDescription(java.util.Map, java.io.File, int)`

### getFiles

    public java.io.File[] getFiles()

  Description copied from class: `TestFinder`
  Get the files that were found by the most recent call of read.

  Overrides:
    `getFiles` in class `TestFinder`
  Returns:
    the files that were found by the most recent call of read.
  See Also:
    `TestFinder.read(java.io.File)`, `TestFinder.foundFile(java.io.File)`

### scan

    protected void scan(java.io.File file)

  Description copied from class: `TestFinder`
  Scan a file, looking for test descriptions and other files that might need to be scanned. The implementation depends on the type of test finder.

  Specified by:
    `scan` in class `TestFinder`
  Parameters:
    `file` - The file to scan

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.